//
//  ViewController.swift
//  Analog Clock
//
//  Created by Holger Hinzberg on 18.01.16.
//  Copyright © 2016 Holger Hinzberg. All rights reserved.
//

import UIKit

class ViewController: UIViewController
{
    var clockView:AnalogClockView?
    var clockTimer:NSTimer?
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
        
        let clockFrame = CGRectMake(10, 120, 300, 320)
        self.clockView = AnalogClockView(frame: clockFrame)
        self.view.addSubview(self.clockView!)
        
        self.clockTimer = NSTimer.scheduledTimerWithTimeInterval(1, repeats: true)
        {
            self.clockView?.update()
        }
    }
}

